Subject: Re: bug#13369: 24.1; compile message parsing slow because of omake hack

From: Mattias Engdegård <[email-masked]>
Date: Mon, 7 Jan 2013 22:50:20 +0100

7 jan 2013 kl. 09.14 skrev Glenn Morris:

> Could you compare the time with the \\^ change to the time with the
> omake part of compilation-parse-errors commented out entirely?

Here are the times, in seconds, for executing compilation-parse-errors
far down a large compile buffer (5000 lines, or about 440 KiB),
with and without omake present in compilation-error-regexp-alist:

omake
present    absent
30.3        3.2     Standard code
  6.5        3.2     repaired regexp (escaped ^)
  3.2        3.2     COND expression removed

In the last case, the entire COND surrounding the faulty regexp was
edited out.